Loading...
Searching...
No Matches
raptor::threshold::forward_strand_minimiser Struct Reference

## Public Member Functions

void | compute (std::vector< seqan3::dna4 > const &text)
| forward_strand_minimiser ()=default
| Defaulted.
| forward_strand_minimiser (forward_strand_minimiser &&)=default
| Defaulted.
| forward_strand_minimiser (forward_strand_minimiser const &)=default
| Defaulted.
| forward_strand_minimiser (window const window_size_, seqan3::shape const shape_)
| Constructs a minimiser from given k-mer, window size and a seed.
forward_strand_minimiser & | operator= (forward_strand_minimiser &&)=default
| Defaulted.
forward_strand_minimiser & | operator= (forward_strand_minimiser const &)=default
| Defaulted.
void | resize (window const window_size_, seqan3::shape const shape_)
| Resize the minimiser.
| ~forward_strand_minimiser ()=default
| Defaulted.

## Public Attributes

std::vector< uint64_t > | minimiser_begin
| Stores the begin positions of the minimisers.

## Private Attributes

std::vector< uint64_t > | forward_hashes {}
| Stores the k-mer hashes of the forward strand.
uint64_t | seed {}
| Random but fixed value to xor k-mers with. Counteracts consecutive minimisers.
seqan3::shape | shape {}
| The shape to use.
uint8_t | shape_size {}
| The size of the shape.
uint64_t | window_size {}
| The window size of the minimiser.

## Constructor & Destructor Documentation

## forward_strand_minimiser()

raptor::threshold::forward_strand_minimiser::forward_strand_minimiser | ( | window const | window_size_,
|  | seqan3::shape const | shape_ )

inline

Constructs a minimiser from given k-mer, window size and a seed.

Parameters

  [in] | window_size_ | The window size.
  [in] | shape_ | The shape.

## Member Function Documentation

## resize()

void raptor::threshold::forward_strand_minimiser::resize | ( | window const | window_size_,
|  | seqan3::shape const | shape_ )

inline

Resize the minimiser.

Parameters

  [in] | window_size_ | The new window size.
  [in] | shape_ | The new shape.

The documentation for this struct was generated from the following file:

- forward_strand_minimiser.hpp